from .base import _dbBase
from .cursor import cursor


class db:
    def __init__(self, dbModule, **dbInfo):
        """
        :param dbModule: 导入的数据库
        :param dbInfo: **dict(host=host, port=port, user=user, database=db, password=passwd)
        :return:
        """
        self.conn = _dbBase(dbModule, **dbInfo)

    def execute(self, query, vals=None, *args, **kwargs) -> cursor:
        return self.conn.execute(query, vals, *args, **kwargs)
